# Uses of Interface
org.eclipse.mat.util.IProgressListener

Packages that use IProgressListener
Package
Description
org.eclipse.mat.dtfj
This provides the parser for IBM Diagnostic Tooling Framework for Java (DTFJ) dumps, and is just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof.acquire
Generator of HPROF dumps from other running processes on the system, just a acquire dumps extension, not an Application Programming Interface (API).
org.eclipse.mat.ibmvm.acquire
Create IBM dumps - this is an internal package not intended as an Application Programming Interface (API) except as an extension.
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.component
These are queries for whole components (class loaders and packages).
org.eclipse.mat.inspections.eclipse
These are queries for debugging Eclipse based applications.
org.eclipse.mat.inspections.finalizer
These are queries for examining objects subject to finalization.
org.eclipse.mat.inspections.jetty
These are queries for the Jetty web server.
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.jdt
Links class names to the class source in an Eclipse IDE, not an Application Programming Interface (API).
org.eclipse.mat.jruby.resolver
These are queries for snapshots generated by JRuby applications.
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.index
Implementations for handling indexes.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.oql
Object Query Language (OQL) (not API).
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.report
Controls building of reports from XML report definitions.
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.acquire
Classes to help get a snapshot from a current running process on the system.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.snapshot.actions
Supplementary actions to open a snapshot, copy to clipboard, open icon assist and so on - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).
org.eclipse.mat.util
Utilities for building results.

## Uses of IProgressListener in org.eclipse.mat.dtfj

Methods in org.eclipse.mat.dtfj with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
DTFJIndexBuilder.`clean(int[] purgedMapping, IProgressListener listener)`
`void`
ThreadDetailsResolver.`complementDeep(IThreadInfo thread, IProgressListener listener)`
Add detailed DTFJ information, including native thread stack.
`void`
ThreadDetailsResolver.`complementShallow(IThreadInfo thread, IProgressListener listener)`
Add basic DTFJ information.
`void`
DTFJIndexBuilder.`fill(IPreliminaryIndex index, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
HprofParserHandlerImpl.`beforePass2(IProgressListener monitor)`
`void`
IHprofParserHandler.`beforePass2(IProgressListener monitor)`
`void`
HprofIndexBuilder.`clean(int[] purgedMapping, IProgressListener listener)`
`IResult`
ExportHprof.`execute(IProgressListener listener)`
`void`
HprofIndexBuilder.`fill(IPreliminaryIndex preliminary, IProgressListener listener)`
`IIndexReader.IOne2LongIndex`
HprofParserHandlerImpl.`fillIn(IPreliminaryIndex index, IProgressListener listener)`
`IIndexReader.IOne2LongIndex`
IHprofParserHandler.`fillIn(IPreliminaryIndex index, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.hprof.acquire

Methods in org.eclipse.mat.hprof.acquire with parameters of type IProgressListener
Modifier and Type
Method
Description
`File`
JMapHeapDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`
`List<JmapVmInfo>`
JMapHeapDumpProvider.`getAvailableVMs(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.ibmvm.acquire

Methods in org.eclipse.mat.ibmvm.acquire with parameters of type IProgressListener
Modifier and Type
Method
Description
`File`
IBMDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`
`File`
IBMExecDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`
`List<IBMVmInfo>`
IBMDumpProvider.`getAvailableVMs(IProgressListener listener)`
`List<VmInfo>`
IBMExecDumpProvider.`getAvailableVMs(IProgressListener listener)`
`File`
IBMJavaDumpProvider.`jextract(File preferredDump, boolean compress, List<File> dumps, File udir, File javahome, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
BigDropsQuery.`execute(IProgressListener listener)`
`IResultPie`
BiggestObjectsPieQuery.`execute(IProgressListener listener)`
`IResult`
ClassLoaderExplorerQuery.`execute(IProgressListener listener)`
`IResult`
ClassReferrersQuery.`execute(IProgressListener listener)`
`IResult`
ComparisonReport.`execute(IProgressListener listener)`
`IResult`
CustomizedRetainedSetQuery.`execute(IProgressListener listener)`
`IResult`
DeltaHistogram.`execute(IProgressListener listener)`
`IResult`
DuplicatedClassesQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerReferenceStatQuery.`execute(IProgressListener listener)`
`IResult`
FindLeaksQuery.`execute(IProgressListener listener)`
`IResult`
FindLeaksQuery2.`execute(IProgressListener listener)`
`IResult`
FindStringsQuery.`execute(IProgressListener listener)`
`IResult`
GCRootsQuery.`execute(IProgressListener listener)`
`IResult`
GroupByValueQuery.`execute(IProgressListener listener)`
`IResult`
HeapDumpInfoQuery.`execute(IProgressListener listener)`
`IResult`
HistogramQuery.`execute(IProgressListener listener)`
`IResult`
ImmediateDominatorsQuery.`execute(IProgressListener listener)`
`IResult`
LeakHunterQuery.`execute(IProgressListener listener)`
`IResult`
LeakHunterQuery2.`execute(IProgressListener listener)`
`IResult`
ObjectListQuery.`execute(IProgressListener listener)`
`IOQLQuery.Result`
OQLQuery.`execute(IProgressListener listener)`
`IResult`
PhantomReferenceStatQuery.`execute(IProgressListener listener)`
`IResult`
ReferenceLeakQuery.`execute(IProgressListener listener)`
`static IResult`
ReferenceQuery.`execute(String className, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, IProgressListener listener)`
Important: the className must point to java.lang.ref.Reference or one of its subclasses.
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, String referentField, IProgressListener listener)`
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, IProgressListener listener)`
`IResult`
ReferenceQuery.`execute(IProgressListener listener)`
`IResult`
RetainedSetQuery.`execute(IProgressListener listener)`
`IResult`
SimpleComparison.`execute(IProgressListener listener)`
`IResult`
SoftReferenceStatQuery.`execute(IProgressListener listener)`
`HashEntriesQuery.Result`
SystemPropertiesQuery.`execute(IProgressListener listener)`
`IResult`
TopConsumers2Query.`execute(IProgressListener listener)`
`IResult`
TopConsumersQuery.`execute(IProgressListener listener)`
`IResult`
UnreachableObjectsQuery.`execute(IProgressListener listener)`
`IResult`
WasteInCharArraysQuery.`execute(IProgressListener listener)`
`IResult`
WeakReferenceStatQuery.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections.collections

Methods in org.eclipse.mat.inspections.collections with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
ArrayFillRatioQuery.`execute(IProgressListener listener)`
`IResult`
ArraysBySizeQuery.`execute(IProgressListener listener)`
`IResult`
CollectionFillRatioQuery.`execute(IProgressListener listener)`
`IResult`
CollectionsBySizeQuery.`execute(IProgressListener listener)`
`IResult`
ExtractListValuesQuery.`execute(IProgressListener listener)`
`HashEntriesQuery.Result`
HashEntriesQuery.`execute(IProgressListener listener)`
`IResult`
HashSetValuesQuery.`execute(IProgressListener listener)`
`IResult`
MapCollisionRatioQuery.`execute(IProgressListener listener)`
`IResult`
PrimitiveArraysWithAConstantValueQuery.`execute(IProgressListener listener)`
`int`
HashEntriesQuery.Result.`getObjectId(String key, IProgressListener listener)`
`String`
HashEntriesQuery.Result.`getString(String key, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections.component

Methods in org.eclipse.mat.inspections.component with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
ComponentReportQuery.`execute(IProgressListener listener)`
`IResult`
TopComponentsReportQuery.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections.eclipse

Methods in org.eclipse.mat.inspections.eclipse with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
LeakingPlugins.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections.finalizer

Methods in org.eclipse.mat.inspections.finalizer with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
FinalizerInProcessingQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerQueueQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerThreadLocalsQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerThreadQuery.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections.jetty

Methods in org.eclipse.mat.inspections.jetty with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
JettyRequestResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections.osgi

Methods in org.eclipse.mat.inspections.osgi with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
BundleRegistryQuery.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.inspections.osgi.model

Methods in org.eclipse.mat.inspections.osgi.model with parameters of type IProgressListener
Modifier and Type
Method
Description
`OSGiModel`
EquinoxBundleReader.`readOSGiModel(IProgressListener listener)`
`OSGiModel`
EquinoxBundleReader2.`readOSGiModel(IProgressListener listener)`
`OSGiModel`
IBundleReader.`readOSGiModel(IProgressListener listener)`
get a model describing the OSGi framework

## Uses of IProgressListener in org.eclipse.mat.inspections.threads

Methods in org.eclipse.mat.inspections.threads with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
ThreadDetailsResolver.`complementDeep(IThreadInfo thread, IProgressListener listener)`
`void`
ThreadDetailsResolver.`complementShallow(IThreadInfo thread, IProgressListener listener)`
`ThreadInfoQuery.Result`
ThreadInfoQuery.`execute(IProgressListener listener)`
`IResult`
ThreadOverviewQuery.`execute(IProgressListener listener)`
`IResult`
ThreadStackQuery.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.internal.snapshot.inspections

Methods in org.eclipse.mat.internal.snapshot.inspections with parameters of type IProgressListener
Modifier and Type
Method
Description
`static DominatorQuery.Tree`
DominatorQuery.Factory.`create(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection, boolean mergeFromRoots, IProgressListener listener)`
Creates a tree by class.
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection, IProgressListener listener)`
`IResult`
CompareTablesQuery.`execute(IProgressListener listener)`
`DominatorQuery.Tree`
DominatorQuery.`execute(IProgressListener listener)`
`IResult`
MultiplePath2GCRootsQuery.`execute(IProgressListener listener)`
`IResult`
Path2GCRootsQuery.`execute(IProgressListener listener)`
`DominatorQuery.Tree`
ShowInDominatorQuery.`execute(IProgressListener listener)`
`static DominatorQuery.Tree`
DominatorQuery.Factory.`groupByClass(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static DominatorQuery.Tree`
DominatorQuery.Factory.`groupByClassLoader(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static DominatorQuery.Tree`
DominatorQuery.Factory.`groupByPackage(ISnapshot snapshot, int[] roots, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.jdt

Methods in org.eclipse.mat.jdt with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
OpenSourceFileQuery.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.jruby.resolver

Methods in org.eclipse.mat.jruby.resolver with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
JRubyScriptResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] localVars, int currentVarId, IProgressListener listener)`
`void`
RubyStacktraceDumper.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
IIndexBuilder.`clean(int[] purgedMapping, IProgressListener listener)`
Memory Analyzer has discarded unreachable objects, so the parser may need to know the discarded objects.
`void`
IIndexBuilder.`fill(IPreliminaryIndex index, IProgressListener listener)`
Pass1 and pass2 parsing.

## Uses of IProgressListener in org.eclipse.mat.parser.index

Methods in org.eclipse.mat.parser.index with parameters of type IProgressListener
Modifier and Type
Method
Description
`IIndexReader.IOne2ManyObjectsIndex`
IndexWriter.InboundWriter.`flush(IProgressListener monitor, IndexWriter.KeyWriter keyWriter)`
Write out all the data as one big file.

## Uses of IProgressListener in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal with parameters of type IProgressListener
Modifier and Type
Method
Description
`static void`
DominatorTree.`calculate(SnapshotImpl snapshot, IProgressListener listener)`
`void`
SnapshotImpl.`calculateDominatorTree(IProgressListener listener)`
Calculates the dominator tree after a parse
`void`
SnapshotImpl.`calculateMinRetainedHeapSizeForClasses(IProgressListener listener)`
Calculate for each class an approximation for the retained size of all instances of that class.
`static SnapshotImpl`
SnapshotImpl.`create(XSnapshotInfo snapshotInfo, String objectReaderUniqueIdentifier, IObjectReader heapObjectReader, HashMapIntObject<ClassImpl> classCache, HashMapIntObject<XGCRootInfo[]> roots, HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread, BitField arrayObjects, IndexManager indexManager, IProgressListener listener)`
Create the snapshot after a fresh parse.
`SnapshotImpl`
SnapshotImplBuilder.`create(ParserRegistry.Parser parser, IProgressListener listener)`
`DominatorsSummary`
SnapshotImpl.`getDominatorsOf(int[] objectIds, Pattern excludePattern, IProgressListener progressListener)`
`Histogram`
SnapshotImpl.`getHistogram(int[] objectIds, IProgressListener progressMonitor)`
`Histogram`
SnapshotImpl.`getHistogram(IProgressListener listener)`
`int[]`
SnapshotImpl.`getInboundRefererIds(int[] objectIds, IProgressListener progressMonitor)`
`int[]`
SnapshotImpl.`getMinRetainedSet(int[] objectIds, IProgressListener progressMonitor)`
`long`
SnapshotImpl.`getMinRetainedSize(int[] objectIds, IProgressListener progressMonitor)`
`int[]`
SnapshotImpl.`getOutboundReferentIds(int[] objectIds, IProgressListener progressMonitor)`
`int[]`
SnapshotImpl.`getRetainedSet(int[] objectIds, String[] fieldNames, IProgressListener listener)`
`int[]`
SnapshotImpl.`getRetainedSet(int[] objectIds, ExcludedReferencesDescriptor[] excludedReferences, IProgressListener progressMonitor)`
`int[]`
SnapshotImpl.`getRetainedSet(int[] objectIds, IProgressListener progressMonitor)`
`int[]`
SnapshotImpl.`getTopAncestorsInDominatorTree(int[] objectIds, IProgressListener listener)`
`ISnapshot`
SnapshotFactoryImpl.`openSnapshot(File file, Map<String,String> args, IProgressListener listener)`
`static SnapshotImpl`
SnapshotImpl.`readFromFile(File file, String prefix, IProgressListener listener)`
Read the snapshot from an already indexed dump.

## Uses of IProgressListener in org.eclipse.mat.parser.internal.oql

Methods in org.eclipse.mat.parser.internal.oql with parameters of type IProgressListener
Modifier and Type
Method
Description
`Object`
OQLQueryImpl.`execute(ISnapshot snapshot, IProgressListener monitor)`

## Uses of IProgressListener in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that return IProgressListener
Modifier and Type
Method
Description
`IProgressListener`
EvaluationContext.`getProgressListener()`
Methods in org.eclipse.mat.parser.internal.oql.compiler with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
EvaluationContext.`setProgressListener(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot with parameters of type IProgressListener
Modifier and Type
Method
Description
`Object[]`
MultiplePathsFromGCRootsComputerImpl.`getAllPaths(IProgressListener progressListener)`
`MultiplePathsFromGCRootsRecord[]`
MultiplePathsFromGCRootsComputerImpl.`getPathsByGCRoot(IProgressListener progressListener)`
`MultiplePathsFromGCRootsClassRecord[]`
MultiplePathsFromGCRootsComputerImpl.`getPathsGroupedByClass(boolean startFromTheGCRoots, IProgressListener progressListener)`
Constructors in org.eclipse.mat.parser.internal.snapshot with parameters of type IProgressListener
Modifier
Constructor
Description
``
`ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)`
``
`ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)`

## Uses of IProgressListener in org.eclipse.mat.parser.model

Methods in org.eclipse.mat.parser.model with parameters of type IProgressListener
Modifier and Type
Method
Description
`long`
XClassHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
`long`
XClassLoaderHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
`static final long`
ClassLoaderImpl.`doGetRetainedHeapSizeOfObjects(ISnapshot dump, int classLoaderId, boolean calculateIfNotAvailable, boolean calculateMinRetainedSize, IProgressListener listener)`
Calculates the retained size of all classes and instances of the class loaded by a class loader.
`long`
ClassImpl.`getRetainedHeapSizeOfObjects(boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
`long`
ClassLoaderImpl.`getRetainedHeapSizeOfObjects(boolean calculateIfNotAvailable, boolean calculateMinRetainedSize, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.query

Methods in org.eclipse.mat.query with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
ContextDerivedData.DerivedCalculator.`calculate(ContextDerivedData.DerivedOperation operation, Object row, IProgressListener listener)`
Do the calculation for the row.
`IResult`
IQuery.`execute(IProgressListener listener)`
The execute method is called after all arguments have been injected into the query instance.
`abstract IResult`
DetailResultProvider.`getResult(Object row, IProgressListener listener)`
Get more data about the row.

## Uses of IProgressListener in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
RefinedStructuredResult.`calculate(ContextProvider provider, ContextDerivedData.DerivedOperation operation, List<?> elements, RefinedStructuredResult.ICalculationProgress progress, IProgressListener listener)`
`void`
RefinedStructuredResult.`calculateTotals(List<?> elements, TotalsRow totals, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry with parameters of type IProgressListener
Modifier and Type
Method
Description
`QueryResult`
ArgumentSet.`execute(IProgressListener listener)`
Generate all the real arguments for an instance of a query, then execute the query.
`static IResult`
CommandLine.`execute(IQueryContext context, String commandLine, IProgressListener listener)`
`QueryResult`
Queries.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.report

Methods in org.eclipse.mat.report with parameters of type IProgressListener
Modifier and Type
Method
Description
`ITestResult.Status`
TestSuite.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.report.internal

Methods in org.eclipse.mat.report.internal with parameters of type IProgressListener
Modifier and Type
Method
Description
`abstract AbstractPart`
AbstractPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
LinkedPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
QueryPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`IResult`
RunExternalTest.`execute(IProgressListener listener)`
`IResult`
RunRegisterdReport.`execute(IProgressListener listener)`
`AbstractPart`
SectionPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot with parameters of type IProgressListener
Modifier and Type
Method
Description
`long`
ClassHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
Find out the retained size
`long`
ClassLoaderHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
Find out the retained size
`Object`
IOQLQuery.`execute(ISnapshot snapshot, IProgressListener monitor)`
Execute the OQL query.
`Object[]`
IMultiplePathsFromGCRootsComputer.`getAllPaths(IProgressListener progressListener)`
Calculates (if not yet calculated) and returns all the paths.
`DominatorsSummary`
ISnapshot.`getDominatorsOf(int[] objectIds, Pattern excludePattern, IProgressListener progressListener)`
Get a summary of the dominators for all the given objects.
`Histogram`
ISnapshot.`getHistogram(int[] objectIds, IProgressListener progressListener)`
Get histogram for some specific objects - usually the result of other calls to the snapshot.
`Histogram`
ISnapshot.`getHistogram(IProgressListener progressListener)`
Get histogram for the whole snapshot.
`int[]`
ISnapshot.`getInboundRefererIds(int[] objectIds, IProgressListener progressListener)`
Get all objects referencing the given objects.
`int[]`
ISnapshot.`getMinRetainedSet(int[] objectIds, IProgressListener progressListener)`
Calculate the minimum retained set of objects for the given objects (including the given objects).
`long`
ISnapshot.`getMinRetainedSize(int[] objectIds, IProgressListener listener)`
Calculate the minimum retained size for the given objects.
`int[]`
ISnapshot.`getOutboundReferentIds(int[] objectIds, IProgressListener progressListener)`
Get all objects referenced by the given objects.
`MultiplePathsFromGCRootsRecord[]`
IMultiplePathsFromGCRootsComputer.`getPathsByGCRoot(IProgressListener progressListener)`
Calculates (if not yet calculated) and returns all the paths.
`int[]`
ISnapshot.`getRetainedSet(int[] objectIds, String[] fieldNames, IProgressListener progressMonitor)`
Get retained set of objects for the given fields at the given objects (excluding the given objects).
`int[]`
ISnapshot.`getRetainedSet(int[] objectIds, ExcludedReferencesDescriptor[] excludedReferences, IProgressListener progressMonitor)`
Get retained set of objects for the given fields at the given objects (excluding the given objects).
`int[]`
ISnapshot.`getRetainedSet(int[] objectIds, IProgressListener progressListener)`
Get retained set of objects for the given objects (including the given objects).
`int[]`
ISnapshot.`getTopAncestorsInDominatorTree(int[] objectIds, IProgressListener listener)`
Get the top-ancestors in the dominator tree from the supplied objectIds.
`ISnapshot`
SnapshotFactory.Implementation.`openSnapshot(File file, Map<String,String> arguments, IProgressListener listener)`
Opens a snapshot
`static ISnapshot`
SnapshotFactory.`openSnapshot(File file, Map<String,String> arguments, IProgressListener listener)`
Create a snapshot Object from a file representation of a snapshot.
`static ISnapshot`
SnapshotFactory.`openSnapshot(File file, IProgressListener listener)`
Create a snapshot Object from a file representation of a snapshot.

## Uses of IProgressListener in org.eclipse.mat.snapshot.acquire

Methods in org.eclipse.mat.snapshot.acquire with parameters of type IProgressListener
Modifier and Type
Method
Description
`File`
IHeapDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`
Acquire a heap dump from a locally running Java process.
`List<? extends VmInfo>`
IHeapDumpProvider.`getAvailableVMs(IProgressListener listener)`
Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump

## Uses of IProgressListener in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension with parameters of type IProgressListener
Modifier and Type
Method
Description
`void`
IRequestDetailsResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`
Add extra details
`void`
IThreadDetailsResolver.`complementDeep(IThreadInfo thread, IProgressListener listener)`
Extract detailed information about a thread, for example for ThreadInfoQuery.
`void`
IThreadDetailsResolver.`complementShallow(IThreadInfo thread, IProgressListener listener)`
Extract basic information about a thread, for example for ThreadOverviewQuery.
`String`
ITroubleTicketResolver.`resolveByClass(IClass clazz, IProgressListener listener)`
Return a proposal for the component (e.g.
`String`
ITroubleTicketResolver.`resolveByClassLoader(IClassLoader classLoader, IProgressListener listener)`
Return a proposal for the component (e.g.

## Uses of IProgressListener in org.eclipse.mat.snapshot.model

Methods in org.eclipse.mat.snapshot.model with parameters of type IProgressListener
Modifier and Type
Method
Description
`long`
IClass.`getRetainedHeapSizeOfObjects(boolean calculateIfNotAvailable, boolean calculateMinRetainedSize, IProgressListener listener)`
Returns the retained size of all objects of this instance including the class instance.
`long`
IClassLoader.`getRetainedHeapSizeOfObjects(boolean calculateIfNotAvailable, boolean calculateMinRetainedSize, IProgressListener listener)`
Returns the retained size of all objects and classes loaded by this class loader.

## Uses of IProgressListener in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
SnapshotQuery.`execute(IProgressListener listener)`
Execute the query and return the result.
`int[]`
IHeapObjectArgument.`getIds(IProgressListener listener)`
This method returns one (possibly big) integer array with the selected object ids.
`IResult`
TQuantize.`process(IProgressListener listener)`
Create distribution based on the given table.
`RefinedResultBuilder`
SnapshotQuery.`refine(IProgressListener listener)`
Execute the query and return a `RefinedResultBuilder` which allows for filtering, sorting and limiting of the result.

## Uses of IProgressListener in org.eclipse.mat.ui.snapshot.actions

Methods in org.eclipse.mat.ui.snapshot.actions with parameters of type IProgressListener
Modifier and Type
Method
Description
`IResult`
CopyActions.`execute(IProgressListener listener)`
`IResult`
CopyOQL.`execute(IProgressListener listener)`
`IResult`
SaveValueAsQuery.`execute(IProgressListener listener)`

## Uses of IProgressListener in org.eclipse.mat.ui.util

Classes in org.eclipse.mat.ui.util that implement IProgressListener
Modifier and Type
Class
Description
`class`
`ProgressMonitorWrapper`
Notes on tuning:

## Uses of IProgressListener in org.eclipse.mat.util

Classes in org.eclipse.mat.util that implement IProgressListener
Modifier and Type
Class
Description
`class`
`ConsoleProgressListener`
Class used as progress listener for the console.
`class`
`SilentProgressListener`
A progress listener that does very little, but passes on the essentials to the delegate.
`class`
`SimpleMonitor.Listener`
`class`
`VoidProgressListener`
Empty implementation of `IProgressListener` which is frequently used throughout the snapshot API in ISnapshot to get feedback for long running operations.
Methods in org.eclipse.mat.util that return IProgressListener
Modifier and Type
Method
Description
`IProgressListener`
SimpleMonitor.`nextMonitor()`
Constructors in org.eclipse.mat.util with parameters of type IProgressListener
Modifier
Constructor
Description
``
`SilentProgressListener(IProgressListener delegate)`
``
`SimpleMonitor(String task, IProgressListener monitor, int[] percentages)`